## povray 3.5

=== debian/changelog ===
povray (1:3.5) unstable; urgency=low

  * New maintainer: Jeroen van Wolffelaar (Closes: #222379)
  * Replaced old povray package with dummy package, old 3.5 packages are moved
    to povray-3.5; the last 3.0 version forked to povray-3.0

 -- Jeroen van Wolffelaar <jeroen@wolffelaar.nl>  Sun, 25 Jan 2004 03:18:19 +0100
