=== debian/control ===
Source: povray
Section: non-free/graphics
Priority: extra
Maintainer: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
Build-Depends-Indep: debhelper (>= 4)
Standards-Version: 3.6.1

Package: povray
Architecture: all
Depends: povray-3.5 | povray-3.0, ${misc:Depends}
Conflicts: povray-manual, povray-doc, povray-misc
Description: Dummy package depending on any concrete POV-Ray package
 You can install this package to get any version of POV-Ray installed. This
 package contains nothing useful, it's only for easing upgrades. You can
 safely remove this package if you want.
