=== debian/changelog ===
povray (1:3.7.0.0-8build1) wily; urgency=medium

  * No-change rebuild against libopenexr22.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 06 Aug 2015 12:27:00 +0200

povray (1:3.7.0.0-8) unstable; urgency=medium

  * no-usr-local.patch: Fix references to /usr/local/etc in example scripts.
    (LP: #1343048)
  * report-missing-povray-examples.patch: Let scripts report that
    povray-examples may be needed if scene data cannot be found.
  * povray-examples: Add symlink at upstream's location for the scenes:
      /usr/share/povray-3.7/scenes -> ../doc/povray/examples
  * scene-directory-symlink.patch: Let scripts cope with SCENE_DIR being a
    symlink.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 26 Jan 2015 00:03:59 +0100

povray (1:3.7.0.0-7) unstable; urgency=medium

  * 40_bashism.diff: Use bash as the interpreter for scripts that use
    non-posix extensions of the 'read' builtin (allanim.sh, allscene.sh,
    portfolio.sh). Patch all scripts consistently.  (Closes: #772356)

 -- Andreas Beckmann <anbe@debian.org>  Mon, 15 Dec 2014 11:05:58 +0100

povray (1:3.7.0.0-6) unstable; urgency=medium

  * povray.maintscript: New. Use dpkg-maintscript-helper to rename the
    conffiles from the squeeze package: /etc/povray/3.6/povray.{ini,conf} to
    /etc/povray/3.7/povray.{ini,conf}. Needs ${misc:Pre-Depends}.
  * povray.preinst: Remove. Directly renaming the directory resulted in dpkg
    prompting about modified conffiles.
  * povray.postinst: New. Remove the empty directory /etc/povray/3.6 after
    dpkg-maintscript-helper handled the conffiles.
  * Update Vcs-Browser URL.
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 14 Dec 2014 01:47:17 +0100

povray (1:3.7.0.0-5) unstable; urgency=medium

  * povray-includes: No longer use a symlinked doc directory to restore
    installability along binNMUs of the povray binary package.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 29 Sep 2014 17:55:02 +0200

povray (1:3.7.0.0-4) unstable; urgency=medium

  * kfreebsd.patch: Detect kFreeBSD as BSD-style Unix to fix FTBFS, thanks to
    Graham Inggs.  (Closes: #745447)
  * Update lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 27 May 2014 04:32:31 +0200

povray (1:3.7.0.0-3) unstable; urgency=medium

  * Perform render test without display and pause.  (Closes: #746365)
  * Configure with --disable-strip - let dh_strip do this job.
  * verify_POV_LONG_is_64bit.patch: Verify that POV_LONG is a 64bit integer.
  * correctly_use_POSIX_V6_LP64_OFF64.patch: Fix the usage of
    POSIX_V6_LP64_OFF64 etc. for detecting sizeof(long).  (Closes: #745448)

 -- Andreas Beckmann <anbe@debian.org>  Sat, 24 May 2014 14:27:52 +0200

povray (1:3.7.0.0-2) unstable; urgency=medium

  * Do not create user directories during package build.  (Closes: #745449)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 23 Apr 2014 13:15:06 +0200

povray (1:3.7.0.0-1) unstable; urgency=low

  [ Andreas Beckmann ]
  * New upstream release.  (Closes: #729754, #686510)
  * New maintainer.
  * POV-ray is now licensed under GNU AGPL-3.0+.
  * Sample scenes and includes are licensed under CC-BY-SA-3.0/CC-BY-3.0.
  * Move the package back from non-free into main.
  * Switch to source format 3.0 (quilt).
  * Refresh patches: 10_includes-location, 40_bashism.diff.
  * Remove patch: 20_glass.diff, fixed upstream.
  * Disable patch: 80_beta.diff.
  * Cherry-picked build system fixes from upstream git:
    0001-quiet-compiler-warnings-building-with-gcc-and-clang.patch
    0002-Account-for-changes-in-boost-dependencies.patch
    0003-Make-sure-Makefile.in-gets-generated-properly.patch
    0004-Fix-for-configure-attempting-to-link-boost_system-ev.patch
    0005-fix-typo-in-configure.ac.patch
    0006-fix-GitHub-issues-5-and-6.patch
    0007-added-header-files-to-hold-Unix-flavor-specific-conf.patch
  * Add new patch to fix some typos: fix-typos.patch.
  * Switch to debhelper compat level 9.
  * Bump Standards-Version to 3.9.5.
  * Update Build-Depends.
  * Build against libopenexr, libsdl, and libxpm.
  * Ensure to build against system libraries.  (Closes: #684247)
  * Install files in upstream's default (/usr/share/povray-3.7).
  * d/rules: Run unix/pre-build.sh to generate configure.
  * d/rules: Minimize and use dh.
  * d/watch: Point to github.
  * d/povray.docs: Add more documentation.
  * Install changes.txt as upstream changelog.
  * Disable building the currently empty povray-doc package.
  * Remove Suggests: kpovmodeler (was for KDE3 only).  (Closes: #687948)
  * Apply manpage patch from Olivier STOLTZ DOUCHET: povray.man.patch.
    (Closes: #501591, #501592)
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 31 Jan 2014 18:34:39 +0100

povray (1:3.7.0~beta29-1) experimental; urgency=low

  * New Upstream beta version.
  * Fix debian/watch.
  * Implement get-orig-source in debian/rules.
  * Add Vcs headers to debian/control.
  * Bump up Standards-Version: 3.8.0.
  * Add patch 80_beta.diff to not disable beta versions.

 -- Torsten Werner <twerner@debian.org>  Thu, 15 Jan 2009 22:56:42 +0100

povray (1:3.7.0~beta25b-1) experimental; urgency=low

  * New Upstream beta Version (Closes: #469302)
  * Updated debian/watch for the new version.
  * Disable or refresh old patches.
  * Do not run automake any more.
  * Add a patch for g++-4.3.
  * Rename /etc/povray/3.6 to /etc/povray/3.7 in preinst.
  * Create patch 40_bashism.diff.
  * Reformat debian/copyright a bit.

 -- Torsten Werner <twerner@debian.org>  Fri, 15 Aug 2008 05:18:09 +0200

povray (1:3.6.1-12) unstable; urgency=low

  * Fix bashisms. (Closes: #489644)

 -- Torsten Werner <twerner@debian.org>  Sun, 20 Jul 2008 22:19:49 +0200

povray (1:3.6.1-11) unstable; urgency=low

  * Remove Joel Alwin from Uploaders field. (Closes: #465938)

 -- Torsten Werner <twerner@debian.org>  Sun, 30 Mar 2008 00:48:52 +0100

povray (1:3.6.1-10) unstable; urgency=low


