=== debian/control ===
Source: povray
Section: graphics
Priority: extra
Maintainer: Andreas Beckmann <anbe@debian.org>
Build-Depends:
 debhelper (>= 9),
 automake,
 libpng-dev,
 zlib1g-dev,
 libx11-dev,
 libxt-dev,
 libice-dev,
 libjpeg-dev,
 libtiff-dev,
 pkg-config,
 libboost-thread-dev,
 libopenexr-dev,
 libsdl-dev,
 libxpm-dev,
Standards-Version: 3.9.6
Homepage: http://www.povray.org
Vcs-Git: git://anonscm.debian.org/collab-maint/povray.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/povray.git

Package: povray
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: povray-includes
Suggests: povray-doc, povray-examples
Replaces: povray-3.6, povray-3.5
Conflicts: povray-3.6, povray-3.5
Description: Persistence of vision raytracer (3D renderer)
 POV-Ray is a full-featured ray tracer. Ray tracers simulate objects
 and light sources of the real world to calculate photorealistic, computer
 generated images. Because of the nature of ray tracing, this process is
 quite CPU-intensive, at the benefit of more realistic images compared to
 real time rendering techniques. For example, in POV-Ray, you can model a
 glass prism, and you will see a spectrum in the resulting image.
 .
 POV-Ray by itself is a command-line utility that will take scene
 descriptions, written in a special easy-to-understand language, to
 produce ray-traced images (or even a sequence of images, for animations).
 You can either write those scene-descriptions by hand, or use external
 tools to generate (parts of) the scene.
 .
 povray-includes is highly recommended in addition to this package.

Package: povray-includes
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: povray, ${misc:Depends}
Description: Persistance of vision raytracer (3D renderer) include files
 POV-Ray is a full-featured ray tracer. Ray tracers simulate objects
 and light sources of the real world to calculate photorealistic, computer
 generated images. Because of the nature of ray tracing, this process is
 quite CPU-intensive, at the benefit of more realistic images compared to
 real time rendering techniques. For example, in POV-Ray, you can model a
 glass prism, and you will see a spectrum in the resulting image.
 .
 POV-Ray by itself is a command-line utility that will take scene
 descriptions, written in a special easy-to-understand language, to
 produce ray-traced images (or even a sequence of images, for animations).
 You can either write those scene-descriptions by hand, or use external
 tools to generate (parts of) the scene.
 .
 This package contains architecture independent include files.

Package: povray-examples
Architecture: all
Depends: povray-includes, ${misc:Depends}
Suggests: povray
Description: Persistence of vision raytracer (3D renderer) sample files
 POV-Ray is a full-featured ray tracer. Ray tracers simulate objects
 and light sources of the real world to calculate photorealistic, computer
 generated images. Because of the nature of ray tracing, this process is
 quite CPU-intensive, at the benefit of more realistic images compared to
 real time rendering techniques. For example, in POV-Ray, you can model a
 glass prism, and you will see a spectrum in the resulting image.
 .
 POV-Ray by itself is a command-line utility that will take scene
 descriptions, written in a special easy-to-understand language, to
 produce ray-traced images (or even a sequence of images, for animations).
 You can either write those scene-descriptions by hand, or use external
 tools to generate (parts of) the scene.
 .
 This package contains sample files.
