## povray 3.7.0.4

=== debian/changelog ===
povray (1:3.7.0.4-2) unstable; urgency=medium

  * Fix kFreeBSD detection.
  * Relax prebuild.sh directory check if $0 contains an absolute path, fixing
    FTBFS on Hurd and kFreeBSD.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 20 Nov 2017 04:07:31 +0100

povray (1:3.7.0.4-1) unstable; urgency=medium

  * New upstream release.
    * Supports C++11.
  * Refresh/remove patches that were cherry-picked from upstream git.
  * Refresh debian/copyright for updated convenience libraries.
  * Set Priority to optional.
  * Bump Standards-Version to 4.1.1.
  * Switch to debhelper compat level 10.
  * Enable more hardening.
  * Switch from dh_install --list-missing to dh_missing.
  * Set Rules-Requires-Root: no.
  * Build again povray-doc, 3.7.0.1 brought back the documentation.
  * Update lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 18 Nov 2017 19:09:13 +0100

povray (1:3.7.0.0-9) unstable; urgency=medium

  * Explicitly build with -std=c++03 to support GCC 6.  (Closes: #811802)
  * Link with -lboost_date_time, needed for DEB_BUILD_OPTIONS=noopt.
    (Closes: #809912)
  * Fix more typos.
  * Update Vcs-Git URL.
  * Bump Standards-Version to 3.9.7, no changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 12 Mar 2016 17:25:00 +0100
