=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: povray
 Section: graphics
-Priority: extra
+Priority: optional
 Maintainer: Andreas Beckmann <anbe@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 10),
  automake,
  libpng-dev,
  zlib1g-dev,
@@ -17,9 +17,10 @@
  libopenexr-dev,
  libsdl-dev,
  libxpm-dev,
-Standards-Version: 3.9.6
+Rules-Requires-Root: no
+Standards-Version: 4.1.1
 Homepage: http://www.povray.org
-Vcs-Git: git://anonscm.debian.org/collab-maint/povray.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/povray.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/povray.git
 
 Package: povray
@@ -50,7 +51,7 @@
 Architecture: all
 Pre-Depends: ${misc:Pre-Depends}
 Depends: povray, ${misc:Depends}
-Description: Persistance of vision raytracer (3D renderer) include files
+Description: Persistence of vision raytracer (3D renderer) include files
  POV-Ray is a full-featured ray tracer. Ray tracers simulate objects
  and light sources of the real world to calculate photorealistic, computer
  generated images. Because of the nature of ray tracing, this process is
@@ -65,6 +66,27 @@
  tools to generate (parts of) the scene.
  .
  This package contains architecture independent include files.
+
+Package: povray-doc
+Section: doc
+Architecture: all
+Depends: ${misc:Depends}
+Suggests: povray
+Description: Persistence of vision raytracer (3D renderer) documentation
+ POV-Ray is a full-featured ray tracer. Ray tracers simulate objects
+ and light sources of the real world to calculate photorealistic, computer
+ generated images. Because of the nature of ray tracing, this process is
+ quite CPU-intensive, at the benefit of more realistic images compared to
+ real time rendering techniques. For example, in POV-Ray, you can model a
+ glass prism, and you will see a spectrum in the resulting image.
+ .
+ POV-Ray by itself is a command-line utility that will take scene
+ descriptions, written in a special easy-to-understand language, to
+ produce ray-traced images (or even a sequence of images, for animations).
+ You can either write those scene-descriptions by hand, or use external
+ tools to generate (parts of) the scene.
+ .
+ This package contains the full POV-Ray manual.
 
 Package: povray-examples
 Architecture: all
