=== debian/watch ===
version=3
https://github.com/POV-Ray/povray/releases .*/v(.*).tar.gz
