## povray 3.7.0.7

=== debian/changelog ===
povray (1:3.7.0.7-1build2) cosmic; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Jul 2018 13:02:29 +0000

povray (1:3.7.0.7-1build1) cosmic; urgency=medium

  * No-change rebuild against latest openexr

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 11 May 2018 14:14:53 -0400

povray (1:3.7.0.7-1) unstable; urgency=medium

  * New upstream release.
  * Switch to debhelper compat level 11.
  * Bump Standards-Version to 4.1.4, no changes needed.
  * Mark povray-doc as Multi-Arch: foreign.
  * Add debian/upstream/metadata.
  * Fix new Lintian issues.
  * Switch Vcs-* URLs to salsa.debian.org.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 06 Apr 2018 01:30:50 +0200
