=== debian/control ===
--- 
+++ 
@@ -3,8 +3,7 @@
 Priority: optional
 Maintainer: Andreas Beckmann <anbe@debian.org>
 Build-Depends:
- debhelper (>= 10),
- automake,
+ debhelper (>= 11~),
  libpng-dev,
  zlib1g-dev,
  libx11-dev,
@@ -18,10 +17,10 @@
  libsdl-dev,
  libxpm-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.1.1
+Standards-Version: 4.1.4
 Homepage: http://www.povray.org
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/povray.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/povray.git
+Vcs-Browser: https://salsa.debian.org/debian/povray
+Vcs-Git: https://salsa.debian.org/debian/povray.git
 
 Package: povray
 Architecture: any
@@ -70,6 +69,7 @@
 Package: povray-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Suggests: povray
 Description: Persistence of vision raytracer (3D renderer) documentation
