=== debian/changelog ===
povray (1:3.7.0.8-5) unstable; urgency=medium

  * The bullseye toolchain defaults to linking with --as-needed.
  * Switch to debhelper-compat (= 13).
  * Bump watch version to 4. No changes needed.
  * Bump Standards-Version to 4.5.1, no changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 07 Jan 2021 03:55:46 +0100

povray (1:3.7.0.8-4) unstable; urgency=medium

  [ Helmut Grohne ]
  * Remove usage of AC_RUN_IFELSE to fix cross-building.  (Closes: #946477)

 -- Andreas Beckmann <anbe@debian.org>  Fri, 13 Dec 2019 02:14:52 +0100

povray (1:3.7.0.8-3) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 08 Dec 2019 01:09:16 +0100

povray (1:3.7.0.8-2) experimental; urgency=medium

  * Use the autoconf-archive versions of ax_*.m4.  (Closes: #945259)
  * Fix more typos.
  * Fix building twice in a row.
  * Switch to debhelper-compat (= 12).
  * Bump Standards-Version to 4.4.1, no changes needed.
  * Factor out a fonts-povray package.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 03 Dec 2019 19:57:31 +0100

povray (1:3.7.0.8-1) unstable; urgency=medium

  * New upstream release.
  * Mark povray as Multi-Arch: foreign.  (Closes: #911841)
  * Switch to debhelper-compat (= 11).
  * Bump Standards-Version to 4.2.1, no changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 19 Dec 2018 04:20:38 +0100
