=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Priority: optional
 Maintainer: Andreas Beckmann <anbe@debian.org>
 Build-Depends:
- debhelper (>= 11~),
+ debhelper-compat (= 13),
+ autoconf-archive,
  libpng-dev,
  zlib1g-dev,
  libx11-dev,
@@ -17,13 +18,14 @@
  libsdl-dev,
  libxpm-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.1.4
+Standards-Version: 4.5.1
 Homepage: http://www.povray.org
 Vcs-Browser: https://salsa.debian.org/debian/povray
 Vcs-Git: https://salsa.debian.org/debian/povray.git
 
 Package: povray
 Architecture: any
+Multi-Arch: foreign
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: povray-includes
@@ -49,7 +51,7 @@
 Package: povray-includes
 Architecture: all
 Pre-Depends: ${misc:Pre-Depends}
-Depends: povray, ${misc:Depends}
+Depends: povray, fonts-povray, ${misc:Depends}
 Description: Persistence of vision raytracer (3D renderer) include files
  POV-Ray is a full-featured ray tracer. Ray tracers simulate objects
  and light sources of the real world to calculate photorealistic, computer
@@ -65,6 +67,28 @@
  tools to generate (parts of) the scene.
  .
  This package contains architecture independent include files.
+
+Package: fonts-povray
+Section: fonts
+Architecture: all
+Multi-Arch: foreign
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}
+Description: Persistence of vision raytracer (3D renderer) fonts
+ POV-Ray is a full-featured ray tracer. Ray tracers simulate objects
+ and light sources of the real world to calculate photorealistic, computer
+ generated images. Because of the nature of ray tracing, this process is
+ quite CPU-intensive, at the benefit of more realistic images compared to
+ real time rendering techniques. For example, in POV-Ray, you can model a
+ glass prism, and you will see a spectrum in the resulting image.
+ .
+ POV-Ray by itself is a command-line utility that will take scene
+ descriptions, written in a special easy-to-understand language, to
+ produce ray-traced images (or even a sequence of images, for animations).
+ You can either write those scene-descriptions by hand, or use external
+ tools to generate (parts of) the scene.
+ .
+ This package contains the fonts coming with povray.
 
 Package: povray-doc
 Section: doc
