=== debian/watch ===
version=4
https://github.com/POV-Ray/povray/releases .*/v(.*).tar.gz
